#pragma once
#include "Mod.h"

class NoFall : public Mod {
public:
	int mode = 0;

	NoFall() : Mod(_("No Fall"), _("Haru client is photo client"), Category::MOVEMENT) {
		settings.push_back(new Setting{ _("Mode"), &mode, new int(0), new int(0), 1, {_("Blink")}, true});

		enabled = false;
	}

private:
	bool cancelpacket = false;
	virtual auto onWorldTick(Player* _this) -> void override;
	virtual auto onPacketSendAfter2(Packet* packet, bool* cancel) -> void override;
};
